"use strict";
exports.__esModule = true;
var commander_1 = require("./commander");
var meta = require("./metadata");
exports.command = function (name, paramsClass, description) {
    return function (target) {
        commander_1.registerCommand({
            name: name,
            description: description,
            type: target,
            paramsClass: paramsClass
        });
    };
};
exports.option = function (options) { return function (target, name) {
    meta.addCommandOption(target, name, options);
}; };
exports.value = function (options) { return function (target, name) {
    meta.addCommandValue({
        name: name,
        paramsClassPrototype: target,
        optional: !!(options && options.optional),
        variadicType: options && options.variadic && options.variadic.type
    });
}; };
